package com.hzya.frame.sysnew.integtationTask.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 集成任务(IntegrationTask)实体类
 *
 * @author makejava
 * @since 2024-05-06 15:36:08
 */
public class IntegrationTaskEntity extends BaseEntity {
 
  /**  任务编码 */
   private String taskCode;
  /**  任务名称 */
   private String taskName;
  /**  任务策略 */
   private String taskCron;
  /**  任务状态1、启用2、停用 */
   private String taskStatus;
  /**  应用 */
   private String taskApp;
  /**  插件 */
   private String taskPlugin;
  /**  功能介绍/任务描述 */
   private String funInfo;
  /**  备注 */
   private String remark;
  /**  公司id */
   private String companyId;


    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskCron() {
        return taskCron;
    }

    public void setTaskCron(String taskCron) {
        this.taskCron = taskCron;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getTaskApp() {
        return taskApp;
    }

    public void setTaskApp(String taskApp) {
        this.taskApp = taskApp;
    }

    public String getTaskPlugin() {
        return taskPlugin;
    }

    public void setTaskPlugin(String taskPlugin) {
        this.taskPlugin = taskPlugin;
    }

    public String getFunInfo() {
        return funInfo;
    }

    public void setFunInfo(String funInfo) {
        this.funInfo = funInfo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

}

